Bug 857175 - Error: Package: openoffice.org3-3.4.0-9590.i586 (@/openoffice.org3-3.4.0-9590.i586) when running yum update. GUI version gets stuck as "in queue".
Error: Package: openoffice.org3-3.4.0-9590.i586 (@/openoffice.org3-3.4.0-9590...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 14:05 EDT by JW Hall
Modified: 2012-09-25 08:23 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 15:48:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 97054 None None None 2012-09-13 15:48:32 EDT

  None (edit)
Description JW Hall 2012-09-13 14:05:04 EDT
Should I put this under libreoffice as well?

Description of problem: yum update hangs in GUI because of a bad file in openoffice and libreoffice. The complete transaction is at Actual Results further in this description, but here is the error only:
--> Finished Dependency Resolution
Error: Package: openoffice.org3-3.4.0-9590.i586 (@/openoffice.org3-3.4.0-9590.i586)
           Requires: openoffice.org-ure
           Removing: openoffice.org-ure-3.4.0-9590.i586 (@/openoffice.org-ure-3.4.0-9590.i586)
               openoffice.org-ure = 3.4.0-9590
           Obsoleted By: 1:libreoffice-ure-3.5.6.2-2.fc17.i686 (updates)
               Not found
Error: Package: ooobasis3.4-core01-3.4.0-9590.i586 (@/ooobasis3.4-core01-3.4.0-9590.i586)
           Requires: openoffice.org-ure
           Removing: openoffice.org-ure-3.4.0-9590.i586 (@/openoffice.org-ure-3.4.0-9590.i586)
               openoffice.org-ure = 3.4.0-9590
           Obsoleted By: 1:libreoffice-ure-3.5.6.2-2.fc17.i686 (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable): The installed version is OpenOffice.org 3.4.0


How reproducible: Every time


Steps to Reproduce:
1. open a terminal
2. login as su
3. run yum update
  
Actual results:
[buzz@hp-dv2000 ~]$ su
Password: 
[root@hp-dv2000 buzz]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
updates/metalink                                        |  18 kB     00:00     
updates                                                 | 4.7 kB     00:00     
updates/primary_db                                      | 4.7 MB     00:27     
updates/group_gz                                        | 434 kB     00:02     
Resolving Dependencies
--> Running transaction check
---> Package amarok.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok.i686 0:2.6.0-3.fc17 will be an update
--> Processing Dependency: kdemultimedia-kio_audiocd for package: amarok-2.6.0-3.fc17.i686
---> Package amarok-libs.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok-libs.i686 0:2.6.0-3.fc17 will be an update
---> Package amarok-utils.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok-utils.i686 0:2.6.0-3.fc17 will be an update
---> Package dnsmasq.i686 0:2.59-5.fc17 will be updated
---> Package dnsmasq.i686 0:2.63-1.fc17 will be an update
---> Package hunspell-en.noarch 0:0.20110318-2.fc17 will be updated
---> Package hunspell-en.noarch 0:0.20110318-8.fc17 will be an update
--> Processing Dependency: hunspell-en-US = 0.20110318-8.fc17 for package: hunspell-en-0.20110318-8.fc17.noarch
--> Processing Dependency: hunspell-en-GB = 0.20110318-8.fc17 for package: hunspell-en-0.20110318-8.fc17.noarch
---> Package kasumi.i686 0:2.5-7.fc17 will be updated
---> Package kasumi.i686 0:2.5-9.fc17 will be an update
---> Package ktp-accounts-kcm.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-accounts-kcm.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-approver.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-approver.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-auth-handler.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-auth-handler.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-common-internals.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-common-internals.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-contact-applet.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-contact-applet.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-contact-list.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-contact-list.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-filetransfer-handler.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-filetransfer-handler.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-kded-integration-module.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-kded-integration-module.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-presence-applet.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-presence-applet.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-send-file.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-send-file.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-text-ui.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-text-ui.i686 0:0.5.0-1.fc17 will be an update
---> Package liblastfm.i686 0:0.3.3-4.fc17 will be updated
---> Package liblastfm.i686 0:1.0.1-1.fc17 will be an update
---> Package libreoffice-ure.i686 1:3.5.6.2-2.fc17 will be obsoleting
---> Package openoffice.org-ure.i586 0:3.4.0-9590 will be obsoleted
--> Processing Dependency: openoffice.org-ure for package: openoffice.org3-3.4.0-9590.i586
--> Processing Dependency: openoffice.org-ure for package: ooobasis3.4-core01-3.4.0-9590.i586
---> Package telepathy-logger-qt.i686 0:0.4.1-2.fc17 will be updated
---> Package telepathy-logger-qt.i686 0:0.5.0-1.fc17 will be an update
---> Package xsane-common.i686 0:0.998-10.fc17 will be updated
---> Package xsane-common.i686 0:0.998-12.fc17 will be an update
---> Package xsane-gimp.i686 0:0.998-10.fc17 will be updated
---> Package xsane-gimp.i686 0:0.998-12.fc17 will be an update
--> Running transaction check
---> Package hunspell-en-GB.noarch 0:0.20110318-8.fc17 will be installed
---> Package hunspell-en-US.noarch 0:0.20110318-8.fc17 will be installed
---> Package kdemultimedia-kio_audiocd.i686 6:4.8.5-1.fc17 will be installed
---> Package openoffice.org-ure.i586 0:3.4.0-9590 will be obsoleted
--> Processing Dependency: openoffice.org-ure for package: openoffice.org3-3.4.0-9590.i586
--> Processing Dependency: openoffice.org-ure for package: ooobasis3.4-core01-3.4.0-9590.i586
--> Finished Dependency Resolution
Error: Package: openoffice.org3-3.4.0-9590.i586 (@/openoffice.org3-3.4.0-9590.i586)
           Requires: openoffice.org-ure
           Removing: openoffice.org-ure-3.4.0-9590.i586 (@/openoffice.org-ure-3.4.0-9590.i586)
               openoffice.org-ure = 3.4.0-9590
           Obsoleted By: 1:libreoffice-ure-3.5.6.2-2.fc17.i686 (updates)
               Not found
Error: Package: ooobasis3.4-core01-3.4.0-9590.i586 (@/ooobasis3.4-core01-3.4.0-9590.i586)
           Requires: openoffice.org-ure
           Removing: openoffice.org-ure-3.4.0-9590.i586 (@/openoffice.org-ure-3.4.0-9590.i586)
               openoffice.org-ure = 3.4.0-9590
           Obsoleted By: 1:libreoffice-ure-3.5.6.2-2.fc17.i686 (updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@hp-dv2000 buzz]# 

Expected results:
update to complete without error

Additional info: it will run yum update when using the "--skip-broken" command with it:
[root@hp-dv2000 buzz]# yum update --skip-broken
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package amarok.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok.i686 0:2.6.0-3.fc17 will be an update
--> Processing Dependency: kdemultimedia-kio_audiocd for package: amarok-2.6.0-3.fc17.i686
---> Package amarok-libs.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok-libs.i686 0:2.6.0-3.fc17 will be an update
---> Package amarok-utils.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok-utils.i686 0:2.6.0-3.fc17 will be an update
---> Package dnsmasq.i686 0:2.59-5.fc17 will be updated
---> Package dnsmasq.i686 0:2.63-1.fc17 will be an update
---> Package hunspell-en.noarch 0:0.20110318-2.fc17 will be updated
---> Package hunspell-en.noarch 0:0.20110318-8.fc17 will be an update
--> Processing Dependency: hunspell-en-US = 0.20110318-8.fc17 for package: hunspell-en-0.20110318-8.fc17.noarch
--> Processing Dependency: hunspell-en-GB = 0.20110318-8.fc17 for package: hunspell-en-0.20110318-8.fc17.noarch
---> Package kasumi.i686 0:2.5-7.fc17 will be updated
---> Package kasumi.i686 0:2.5-9.fc17 will be an update
---> Package ktp-accounts-kcm.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-accounts-kcm.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-approver.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-approver.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-auth-handler.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-auth-handler.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-common-internals.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-common-internals.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-contact-applet.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-contact-applet.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-contact-list.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-contact-list.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-filetransfer-handler.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-filetransfer-handler.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-kded-integration-module.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-kded-integration-module.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-presence-applet.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-presence-applet.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-send-file.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-send-file.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-text-ui.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-text-ui.i686 0:0.5.0-1.fc17 will be an update
---> Package liblastfm.i686 0:0.3.3-4.fc17 will be updated
---> Package liblastfm.i686 0:1.0.1-1.fc17 will be an update
---> Package libreoffice-ure.i686 1:3.5.6.2-2.fc17 will be obsoleting
---> Package openoffice.org-ure.i586 0:3.4.0-9590 will be obsoleted
--> Processing Dependency: openoffice.org-ure for package: openoffice.org3-3.4.0-9590.i586
--> Processing Dependency: openoffice.org-ure for package: ooobasis3.4-core01-3.4.0-9590.i586
---> Package telepathy-logger-qt.i686 0:0.4.1-2.fc17 will be updated
---> Package telepathy-logger-qt.i686 0:0.5.0-1.fc17 will be an update
---> Package xsane-common.i686 0:0.998-10.fc17 will be updated
---> Package xsane-common.i686 0:0.998-12.fc17 will be an update
---> Package xsane-gimp.i686 0:0.998-10.fc17 will be updated
---> Package xsane-gimp.i686 0:0.998-12.fc17 will be an update
--> Running transaction check
---> Package hunspell-en-GB.noarch 0:0.20110318-8.fc17 will be installed
---> Package hunspell-en-US.noarch 0:0.20110318-8.fc17 will be installed
---> Package kdemultimedia-kio_audiocd.i686 6:4.8.5-1.fc17 will be installed
---> Package openoffice.org-ure.i586 0:3.4.0-9590 will be obsoleted
--> Processing Dependency: openoffice.org-ure for package: openoffice.org3-3.4.0-9590.i586
--> Processing Dependency: openoffice.org-ure for package: ooobasis3.4-core01-3.4.0-9590.i586
--> Running transaction check
---> Package libreoffice-ure.i686 1:3.5.6.2-2.fc17 will be obsoleting
---> Package openoffice.org-ure.i586 0:3.4.0-9590 will be obsoleted
--> Running transaction check
---> Package amarok.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok.i686 0:2.6.0-3.fc17 will be an update
---> Package amarok-libs.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok-libs.i686 0:2.6.0-3.fc17 will be an update
---> Package amarok-utils.i686 0:2.6.0-2.fc17 will be updated
---> Package amarok-utils.i686 0:2.6.0-3.fc17 will be an update
---> Package dnsmasq.i686 0:2.59-5.fc17 will be updated
---> Package dnsmasq.i686 0:2.63-1.fc17 will be an update
---> Package hunspell-en.noarch 0:0.20110318-2.fc17 will be updated
---> Package hunspell-en.noarch 0:0.20110318-8.fc17 will be an update
---> Package hunspell-en-GB.noarch 0:0.20110318-8.fc17 will be installed
---> Package hunspell-en-US.noarch 0:0.20110318-8.fc17 will be installed
---> Package kasumi.i686 0:2.5-7.fc17 will be updated
---> Package kasumi.i686 0:2.5-9.fc17 will be an update
---> Package kdemultimedia-kio_audiocd.i686 6:4.8.5-1.fc17 will be installed
---> Package ktp-accounts-kcm.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-accounts-kcm.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-approver.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-approver.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-auth-handler.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-auth-handler.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-common-internals.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-common-internals.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-contact-applet.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-contact-applet.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-contact-list.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-contact-list.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-filetransfer-handler.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-filetransfer-handler.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-kded-integration-module.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-kded-integration-module.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-presence-applet.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-presence-applet.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-send-file.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-send-file.i686 0:0.5.0-1.fc17 will be an update
---> Package ktp-text-ui.i686 0:0.4.1-1.fc17 will be updated
---> Package ktp-text-ui.i686 0:0.5.0-1.fc17 will be an update
---> Package liblastfm.i686 0:0.3.3-4.fc17 will be updated
---> Package liblastfm.i686 0:1.0.1-1.fc17 will be an update
---> Package telepathy-logger-qt.i686 0:0.4.1-2.fc17 will be updated
---> Package telepathy-logger-qt.i686 0:0.5.0-1.fc17 will be an update
---> Package xsane-common.i686 0:0.998-10.fc17 will be updated
---> Package xsane-common.i686 0:0.998-12.fc17 will be an update
---> Package xsane-gimp.i686 0:0.998-10.fc17 will be updated
---> Package xsane-gimp.i686 0:0.998-12.fc17 will be an update
--> Finished Dependency Resolution

Packages skipped because of dependency problems:
    1:libreoffice-ure-3.5.6.2-2.fc17.i686 from updates

Dependencies Resolved

===============================================================================
 Package                       Arch     Version                Repository
                                                                          Size
===============================================================================
Updating:
 amarok                        i686     2.6.0-3.fc17           updates   4.9 M
 amarok-libs                   i686     2.6.0-3.fc17           updates   3.0 M
 amarok-utils                  i686     2.6.0-3.fc17           updates   136 k
 dnsmasq                       i686     2.63-1.fc17            updates   193 k
 hunspell-en                   noarch   0.20110318-8.fc17      updates   193 k
 kasumi                        i686     2.5-9.fc17             updates    72 k
 ktp-accounts-kcm              i686     0.5.0-1.fc17           updates   326 k
 ktp-approver                  i686     0.5.0-1.fc17           updates    57 k
 ktp-auth-handler              i686     0.5.0-1.fc17           updates    65 k
 ktp-common-internals          i686     0.5.0-1.fc17           updates   335 k
 ktp-contact-applet            i686     0.5.0-1.fc17           updates    74 k
 ktp-contact-list              i686     0.5.0-1.fc17           updates   182 k
 ktp-filetransfer-handler      i686     0.5.0-1.fc17           updates    69 k
 ktp-kded-integration-module   i686     0.5.0-1.fc17           updates   110 k
 ktp-presence-applet           i686     0.5.0-1.fc17           updates    42 k
 ktp-send-file                 i686     0.5.0-1.fc17           updates    44 k
 ktp-text-ui                   i686     0.5.0-1.fc17           updates   447 k
 liblastfm                     i686     1.0.1-1.fc17           updates   185 k
 telepathy-logger-qt           i686     0.5.0-1.fc17           updates    61 k
 xsane-common                  i686     0.998-12.fc17          updates   1.2 M
 xsane-gimp                    i686     0.998-12.fc17          updates   230 k
Installing for dependencies:
 hunspell-en-GB                noarch   0.20110318-8.fc17      updates   238 k
 hunspell-en-US                noarch   0.20110318-8.fc17      updates   189 k
 kdemultimedia-kio_audiocd     i686     6:4.8.5-1.fc17         updates    68 k
Skipped (dependency problems):
 libreoffice-ure               i686     1:3.5.6.2-2.fc17       updates   2.7 M

Transaction Summary
===============================================================================
Install                                    ( 3 Dependent packages)
Upgrade                        21 Packages
Skipped (dependency problems)   1 Package

Total download size: 12 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates/prestodelta                                     | 837 kB     00:04     
Processing delta metadata
Download delta size: 1.9 M
(1/19): amarok-2.6.0-2.fc17_2.6.0-3.fc17.i686.drpm      | 333 kB     00:01     
(2/19): amarok-libs-2.6.0-2.fc17_2.6.0-3.fc17.i686.drpm | 212 kB     00:01     
(3/19): amarok-utils-2.6.0-2.fc17_2.6.0-3.fc17.i686.drp | 120 kB     00:00     
(4/19): dnsmasq-2.59-5.fc17_2.63-1.fc17.i686.drpm       | 161 kB     00:00     
(5/19): hunspell-en-0.20110318-2.fc17_0.20110318-8.fc17 |  12 kB     00:00     
(6/19): kasumi-2.5-7.fc17_2.5-9.fc17.i686.drpm          |  57 kB     00:00     
(7/19): ktp-accounts-kcm-0.4.1-1.fc17_0.5.0-1.fc17.i686 | 111 kB     00:00     
(8/19): ktp-approver-0.4.1-1.fc17_0.5.0-1.fc17.i686.drp |  30 kB     00:00     
(9/19): ktp-auth-handler-0.4.1-1.fc17_0.5.0-1.fc17.i686 |  50 kB     00:00     
(10/19): ktp-common-internals-0.4.1-1.fc17_0.5.0-1.fc17 | 120 kB     00:00     
(11/19): ktp-contact-applet-0.4.1-1.fc17_0.5.0-1.fc17.i |  23 kB     00:00     
(12/19): ktp-contact-list-0.4.1-1.fc17_0.5.0-1.fc17.i68 | 144 kB     00:00     
(13/19): ktp-filetransfer-handler-0.4.1-1.fc17_0.5.0-1. |  44 kB     00:00     
(14/19): ktp-kded-integration-module-0.4.1-1.fc17_0.5.0 |  36 kB     00:00     
(15/19): ktp-presence-applet-0.4.1-1.fc17_0.5.0-1.fc17. |  29 kB     00:00     
(16/19): ktp-send-file-0.4.1-1.fc17_0.5.0-1.fc17.i686.d |  28 kB     00:00     
(17/19): ktp-text-ui-0.4.1-1.fc17_0.5.0-1.fc17.i686.drp | 253 kB     00:03     
(18/19): liblastfm-0.3.3-4.fc17_1.0.1-1.fc17.i686.drpm  | 171 kB     00:00     
(19/19): telepathy-logger-qt-0.4.1-2.fc17_0.5.0-1.fc17. | 5.9 kB     00:00     
Finishing rebuild of rpms, from deltarpms
<locally rebuilding deltarpms>                          |  10 MB     00:14     
Presto reduced the update size by 82% (from 10 M to 1.9 M).
Package(s) data still to download: 1.4 M
(1/5): hunspell-en-GB-0.20110318-8.fc17.noarch.rpm      | 238 kB     00:01     
(2/5): hunspell-en-US-0.20110318-8.fc17.noarch.rpm      | 189 kB     00:01     
(3/5): kdemultimedia-kio_audiocd-4.8.5-1.fc17.i686.rpm  |  68 kB     00:00     
(4/5): xsane-common-0.998-12.fc17.i686.rpm              | 1.2 MB     00:06     
(5/5): xsane-gimp-0.998-12.fc17.i686.rpm                | 230 kB     00:01     
-------------------------------------------------------------------------------
Total                                          165 kB/s | 1.9 MB     00:11     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : hunspell-en-US-0.20110318-8.fc17.noarch                    1/45 
  Updating   : xsane-common-0.998-12.fc17.i686                            2/45 
  Installing : hunspell-en-GB-0.20110318-8.fc17.noarch                    3/45 
  Updating   : ktp-common-internals-0.5.0-1.fc17.i686                     4/45 
  Updating   : ktp-accounts-kcm-0.5.0-1.fc17.i686                         5/45 
  Updating   : liblastfm-1.0.1-1.fc17.i686                                6/45 
  Updating   : telepathy-logger-qt-0.5.0-1.fc17.i686                      7/45 
  Installing : 6:kdemultimedia-kio_audiocd-4.8.5-1.fc17.i686              8/45 
  Updating   : amarok-utils-2.6.0-3.fc17.i686                             9/45 
  Updating   : hunspell-en-0.20110318-8.fc17.noarch                      10/45 
  Updating   : amarok-libs-2.6.0-3.fc17.i686                             11/45 
  Updating   : amarok-2.6.0-3.fc17.i686                                  12/45 
  Updating   : ktp-text-ui-0.5.0-1.fc17.i686                             13/45 
  Updating   : ktp-contact-list-0.5.0-1.fc17.i686                        14/45 
  Updating   : ktp-filetransfer-handler-0.5.0-1.fc17.i686                15/45 
  Updating   : ktp-kded-integration-module-0.5.0-1.fc17.i686             16/45 
  Updating   : ktp-auth-handler-0.5.0-1.fc17.i686                        17/45 
  Updating   : ktp-contact-applet-0.5.0-1.fc17.i686                      18/45 
  Updating   : ktp-presence-applet-0.5.0-1.fc17.i686                     19/45 
  Updating   : ktp-send-file-0.5.0-1.fc17.i686                           20/45 
  Updating   : xsane-gimp-0.998-12.fc17.i686                             21/45 
  Updating   : dnsmasq-2.63-1.fc17.i686                                  22/45 
  Updating   : ktp-approver-0.5.0-1.fc17.i686                            23/45 
  Updating   : kasumi-2.5-9.fc17.i686                                    24/45 
  Cleanup    : amarok-libs-2.6.0-2.fc17.i686                             25/45 
  Cleanup    : amarok-2.6.0-2.fc17.i686                                  26/45 
  Cleanup    : ktp-text-ui-0.4.1-1.fc17.i686                             27/45 
  Cleanup    : ktp-contact-list-0.4.1-1.fc17.i686                        28/45 
  Cleanup    : ktp-accounts-kcm-0.4.1-1.fc17.i686                        29/45 
  Cleanup    : ktp-send-file-0.4.1-1.fc17.i686                           30/45 
  Cleanup    : ktp-presence-applet-0.4.1-1.fc17.i686                     31/45 
  Cleanup    : xsane-gimp-0.998-10.fc17.i686                             32/45 
  Cleanup    : ktp-contact-applet-0.4.1-1.fc17.i686                      33/45 
  Cleanup    : ktp-auth-handler-0.4.1-1.fc17.i686                        34/45 
  Cleanup    : ktp-kded-integration-module-0.4.1-1.fc17.i686             35/45 
  Cleanup    : ktp-filetransfer-handler-0.4.1-1.fc17.i686                36/45 
  Cleanup    : ktp-common-internals-0.4.1-1.fc17.i686                    37/45 
  Cleanup    : xsane-common-0.998-10.fc17.i686                           38/45 
  Cleanup    : telepathy-logger-qt-0.4.1-2.fc17.i686                     39/45 
  Cleanup    : amarok-utils-2.6.0-2.fc17.i686                            40/45 
  Cleanup    : liblastfm-0.3.3-4.fc17.i686                               41/45 
  Cleanup    : dnsmasq-2.59-5.fc17.i686                                  42/45 
  Cleanup    : ktp-approver-0.4.1-1.fc17.i686                            43/45 
  Cleanup    : kasumi-2.5-7.fc17.i686                                    44/45 
  Cleanup    : hunspell-en-0.20110318-2.fc17.noarch                      45/45 
  Verifying  : amarok-utils-2.6.0-3.fc17.i686                             1/45 
  Verifying  : hunspell-en-GB-0.20110318-8.fc17.noarch                    2/45 
  Verifying  : 6:kdemultimedia-kio_audiocd-4.8.5-1.fc17.i686              3/45 
  Verifying  : amarok-2.6.0-3.fc17.i686                                   4/45 
  Verifying  : hunspell-en-0.20110318-8.fc17.noarch                       5/45 
  Verifying  : ktp-contact-list-0.5.0-1.fc17.i686                         6/45 
  Verifying  : ktp-accounts-kcm-0.5.0-1.fc17.i686                         7/45 
  Verifying  : ktp-filetransfer-handler-0.5.0-1.fc17.i686                 8/45 
  Verifying  : amarok-libs-2.6.0-3.fc17.i686                              9/45 
  Verifying  : kasumi-2.5-9.fc17.i686                                    10/45 
  Verifying  : ktp-kded-integration-module-0.5.0-1.fc17.i686             11/45 
  Verifying  : ktp-text-ui-0.5.0-1.fc17.i686                             12/45 
  Verifying  : liblastfm-1.0.1-1.fc17.i686                               13/45 
  Verifying  : ktp-auth-handler-0.5.0-1.fc17.i686                        14/45 
  Verifying  : telepathy-logger-qt-0.5.0-1.fc17.i686                     15/45 
  Verifying  : xsane-common-0.998-12.fc17.i686                           16/45 
  Verifying  : ktp-approver-0.5.0-1.fc17.i686                            17/45 
  Verifying  : ktp-contact-applet-0.5.0-1.fc17.i686                      18/45 
  Verifying  : ktp-common-internals-0.5.0-1.fc17.i686                    19/45 
  Verifying  : dnsmasq-2.63-1.fc17.i686                                  20/45 
  Verifying  : xsane-gimp-0.998-12.fc17.i686                             21/45 
  Verifying  : hunspell-en-US-0.20110318-8.fc17.noarch                   22/45 
  Verifying  : ktp-presence-applet-0.5.0-1.fc17.i686                     23/45 
  Verifying  : ktp-send-file-0.5.0-1.fc17.i686                           24/45 
  Verifying  : hunspell-en-0.20110318-2.fc17.noarch                      25/45 
  Verifying  : kasumi-2.5-7.fc17.i686                                    26/45 
  Verifying  : ktp-common-internals-0.4.1-1.fc17.i686                    27/45 
  Verifying  : amarok-utils-2.6.0-2.fc17.i686                            28/45 
  Verifying  : ktp-approver-0.4.1-1.fc17.i686                            29/45 
  Verifying  : amarok-2.6.0-2.fc17.i686                                  30/45 
  Verifying  : xsane-gimp-0.998-10.fc17.i686                             31/45 
  Verifying  : amarok-libs-2.6.0-2.fc17.i686                             32/45 
  Verifying  : ktp-send-file-0.4.1-1.fc17.i686                           33/45 
  Verifying  : xsane-common-0.998-10.fc17.i686                           34/45 
  Verifying  : dnsmasq-2.59-5.fc17.i686                                  35/45 
  Verifying  : ktp-accounts-kcm-0.4.1-1.fc17.i686                        36/45 
  Verifying  : ktp-contact-applet-0.4.1-1.fc17.i686                      37/45 
  Verifying  : ktp-filetransfer-handler-0.4.1-1.fc17.i686                38/45 
  Verifying  : ktp-presence-applet-0.4.1-1.fc17.i686                     39/45 
  Verifying  : telepathy-logger-qt-0.4.1-2.fc17.i686                     40/45 
  Verifying  : ktp-contact-list-0.4.1-1.fc17.i686                        41/45 
  Verifying  : liblastfm-0.3.3-4.fc17.i686                               42/45 
  Verifying  : ktp-kded-integration-module-0.4.1-1.fc17.i686             43/45 
  Verifying  : ktp-text-ui-0.4.1-1.fc17.i686                             44/45 
  Verifying  : ktp-auth-handler-0.4.1-1.fc17.i686                        45/45 

Dependency Installed:
  hunspell-en-GB.noarch 0:0.20110318-8.fc17                                    
  hunspell-en-US.noarch 0:0.20110318-8.fc17                                    
  kdemultimedia-kio_audiocd.i686 6:4.8.5-1.fc17                                

Updated:
  amarok.i686 0:2.6.0-3.fc17                                                   
  amarok-libs.i686 0:2.6.0-3.fc17                                              
  amarok-utils.i686 0:2.6.0-3.fc17                                             
  dnsmasq.i686 0:2.63-1.fc17                                                   
  hunspell-en.noarch 0:0.20110318-8.fc17                                       
  kasumi.i686 0:2.5-9.fc17                                                     
  ktp-accounts-kcm.i686 0:0.5.0-1.fc17                                         
  ktp-approver.i686 0:0.5.0-1.fc17                                             
  ktp-auth-handler.i686 0:0.5.0-1.fc17                                         
  ktp-common-internals.i686 0:0.5.0-1.fc17                                     
  ktp-contact-applet.i686 0:0.5.0-1.fc17                                       
  ktp-contact-list.i686 0:0.5.0-1.fc17                                         
  ktp-filetransfer-handler.i686 0:0.5.0-1.fc17                                 
  ktp-kded-integration-module.i686 0:0.5.0-1.fc17                              
  ktp-presence-applet.i686 0:0.5.0-1.fc17                                      
  ktp-send-file.i686 0:0.5.0-1.fc17                                            
  ktp-text-ui.i686 0:0.5.0-1.fc17                                              
  liblastfm.i686 0:1.0.1-1.fc17                                                
  telepathy-logger-qt.i686 0:0.5.0-1.fc17                                      
  xsane-common.i686 0:0.998-12.fc17                                            
  xsane-gimp.i686 0:0.998-12.fc17                                              

Skipped (dependency problems):
  libreoffice-ure.i686 1:3.5.6.2-2.fc17                                        

Complete!

---------------------------------------------------------

but the "rpm -Va --nofiles --nodigest" command returns:
[root@hp-dv2000 buzz]# rpm -Va --nofiles --nodigest
/var/tmp/rpm-tmp.IAcUBL: line 851: IntegrateWithGNOME: command not found
[root@hp-dv2000 buzz]#
Comment 1 JW Hall 2012-09-13 14:13:41 EDT
libreoffice, openoffice
Comment 2 Caolan McNamara 2012-09-13 15:48:32 EDT
openoffice.org3-3.4.0-9590.i586 etc, are third party rpms, i.e. presumably direct from Apache OpenOffice. 

Historically there was the unfortunate problem that both a fedora openoffice.org-ure rpm and Sun OpenOffice.org openoffice.org-ure rpm existed with the fedora one of a 1 epoch and the Sun OpenOffice.org one of no epoch, i.e. the fedora ure was always "newer" regardless of the rest of the version number.

So, if for some reason someone wanted to use the Sun OpenOffice.org binary build rpms instead of the Fedora one, then a yum update would always remove the Sun OpenOffice.org ure and attempt to replace it with the Fedora one.

One needed to fiddle with the yum.conf to exclude openoffice.org-ure from the upgrade process.

Now that we're using libreoffice I had to insert obsoletes and provides for our previous fedora openoffice.org builds in order for our own upgrade path to work. So the problem persists in this new guise.

The only way the problem will "go away" is that 
a) Apache OpenOffice bumps their Epoch to 2 or higher
b) Determine if http://fedoraproject.org/wiki/Packaging:Guidelines "If there is no standard naming for a package or other long term naming compatibility requirements involved with the rename, the Provides should be assumed to be deprecated and short lived and removed in the distro release after the next one (ie. if introduced in FC-X, keep in all subsequent package revisions for distros FC-X and FC-(X+1), drop in FC-(X+2))" applies and drop the provides/requires for our next release. I'm not completely certain that it does apply however and prefer a

workaround is to either remove the apache openoffice rpms (something like rpm --erase `rpm -qf /opt/OpenOffice*|xargs` would likely work) and use the fedora-provided libreoffice rpms or to add the right excludes lines to yum.conf to make yum not pull in the libreoffice rpms
Comment 3 JW Hall 2012-09-18 18:31:07 EDT
I was going to use libre office, but it wouldn't install using add/remove software. I went to openoffice.org and got it to install. I still forget, sometimes, that using yum from terminal will many times tell me why it didn't get installed. I will uninstall ooo and try installing libre in terminal.
Comment 4 David Tardon 2012-09-25 08:23:51 EDT
(In reply to comment #2)
> b) Determine if http://fedoraproject.org/wiki/Packaging:Guidelines "If there
> is no standard naming for a package or other long term naming compatibility
> requirements involved with the rename, the Provides should be assumed to be
> deprecated and short lived and removed in the distro release after the next
> one (ie. if introduced in FC-X, keep in all subsequent package revisions for
> distros FC-X and FC-(X+1), drop in FC-(X+2))" applies and drop the
> provides/requires for our next release.
> does apply however and prefer a

I think it does apply, for the following reasons:

1. "openoffice.org" can hardly be considered a "standard name" for the package, because it has never been used consistently across distributions

2. There are not long-term compatibility issues. Given the nature of the package, these would necesarrily only involve -ure and -sdk. But we did broke the only thing that could have assured seamless migration (from build's POV) of packages depending on openoffice.org to libreoffice--the location of the setsdkenv script--so these packages had to be updated anyway.

Note You need to log in before you can comment on or make changes to this bug.